API ReferenceConfiguration
Retrieve RICAL configuration
GET
Retrieve the RICAL configuration from the requested ecosystem.
Roles
admindts-provider
Analytics Events
ECOSYSTEM_RICAL_CONFIGURATION_RETRIEVE_STARTECOSYSTEM_RICAL_CONFIGURATION_RETRIEVE_SUCCESSECOSYSTEM_RICAL_CONFIGURATION_RETRIEVE_FAIL
bearerAuthheader
AuthorizationBearer <JWT>ecosystemId*stringThe UUID of the ecosystem
Format
uuidRICAL configuration retrieved
application/json- response
ricalProvider*stringRICAL provider name.
autoPublish?Configuration for automatic scheduled publishing of RICALs.
curl -X GET 'https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/ricals/configuration'Example Response
{ "ricalProvider": "MATTR", "autoPublish": { "enabled": true, "frequency": "Daily", "configuredAt": "2025-07-01T00:00:00.000Z" }}How would you rate this page?